Subject: Re: bug#14228: 24.3.50; doc of `event-start': nonsensical, incomplete, inconsistent

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Feb 2014 05:45:51 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 08 Feb 2014 17:56:52 -0800
> 
> >> > 2. The doc string of `event-start' specifies the form of EVENT as being
> >> > either (WINDOW POS (0.0) 0) or (WINDOW AREA-OR-POS (X . Y) TIMESTAMP
> >> > OBJECT POS (COL . ROW) IMAGE (DX . DY) (WIDTH . HEIGHT)).
> >> >
> >> > But *none* of those terms are described.  What is POS? IMAGE? OBJECT?
> >> > etc.  Incomprehensible.
> >> 
> >> Yeah, they might be nice to understand...
> >
> > The doc string of event-start says "AREA-OR-POS".  And if that is
> > still unclear, there's a reference to "Click Events" in the manual,
> > which spells that out (except that it uses POS-OR-AREA" instead).
> 
> I was thinking more about the more bewildering things at the end there.

They are all described in "Click Events" in the ELisp manual, AFAICS.